html,
body {
  padding: 0;
  margin: 0;
  font-family: -apple-system, BlinkMacSystemFont, Segoe UI, Roboto, Oxygen,
    Ubuntu, Cantarell, Fira Sans, Droid Sans, Helvetica Neue, sans-serif;
  font-family: "Open Sans", sans-serif;
} 

@media (max-width: 480px) and (min-width: 768px) {
  body {
    width: 480px;
  }
}

/*LARGE*/
@media only screen and (min-width: 768px) {
  body {
    width: 480px;
    margin-right: auto;
    margin-left: auto;
  }
}

.bg-primary {
  background-color: var(--primaryColor);
}

.round-bottom {
  border-bottom-left-radius: 250px 50px;
  border-bottom-right-radius: 250px 50px;
}

.backdrop-drawer {
  position: fixed;
  top: 0;
  width: 100vw;
  background-color: #1116;
  height: 95vh;
  z-index: 9999;
}

.backdrop-drawer.open {
  display: block;
}
.backdrop-drawer.close {
  display: none;
}

.drawer {
  position: fixed;
  top: 0;
  transition: 0.3s ease-in-out;
  width: 80vw;
  background-color: white;
  height: 100vh;
  z-index: 10000;
  box-shadow: 0 0 10px var(--shadowColor1);
  padding: 1em;
}

.drawer.open {
  left: 0;
}

.drawer.close {
  left: -80vw;
}

.centertodiv {
  display: block;
  margin: auto auto;
}

.title-section {
  text-align: center;
  padding: 30px 30px 10px 30px;
  font-weight: bold;
  font-size: 1.4rem;
}

.card-model-1 {
  border-radius: 5px;
  box-shadow: 0 1px 5px var(--shadowColor1);
}

.gen-pilihan .content {
  margin-top: 5px;
  display: flex;
  justify-items: center;
  justify-content: center;
  align-items: center;
}

.gen-pilihan .label {
  color: grey;
  font-size: 1rem;
}

.gen-pilihan .icon {
  color: var(--primaryColor);
  font-size: 1.2rem;
  margin-right: 16px;
}

.gen-pilihan .isi {
  flex-grow: 1;
  font-size: 1.2rem;
  font-weight: bold;
  color: black;

}

:root {
  --primaryColor: #1DA1F2;
  --primaryColorLight: #E1F5FE;
  --accentColor: #FF6F00;


  --orange-temanbelajar: #FF9800;
  --orange-temanbelajar-light: #FFF3E0;

  --grey-a: #aaa;
  --grey-d: #ddd;
  --grey-6: #666;

  --shadowColor1: #00000033;
  --shadowColor2: #00000011;


  --dimensiKecil: 5px;
  --dimensiSedang: 10px;
  --dimensiBesar: 20px;


  --white: #ffffff;
  --light: #f0eff3;
  --black: #000000;
  --dark-blue: #1f2029;
  --dark-light: #353746;
  --red: #da2c4d;
  --yellow: #f8ab37;
  --grey: #ecedf3;
}

body {
  font-family: 'Open Sans', sans-serif;
}

.form-control::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  color: #14171A33;
  opacity: 1; /* Firefox */
}

.form-control:-ms-input-placeholder { /* Internet Explorer 10-11 */
  color: #14171A33;
}

.form-control::-ms-input-placeholder { /* Microsoft Edge */
  color: #14171A33;
}

a, a:hover, a:active, a:visited, a:focus {
  text-decoration:none;
}
/*ETC*/

.space-25h {
  height: 25vh;
}

.space-50h {
  height: 50vh;
}

.space-100h {
  height: 100vh;
}

hr {
  margin-top: 10px;
  margin-bottom: 15px;
  border: 0;
  border-top: 1px solid rgba(0, 0, 0, 0.1);
}

/*LINE*/

.p-1em {
  padding: 1em;
}


.vl {
  border-left: 2px solid white;
  height: 100%;
}

/*BORDER*/

.brd-top {
  border-top: 1px solid #ddd;
}

.brd-bottom {
  border-bottom: 1px solid #ddd;
}

/*COLORS*/

.red {
  background-color: red !important;
}

.orange {
  background-color: orange !important;
}

.green {
  background-color: green !important;
}

.t-red {
  color: red !important;
}

.t-orange {
  color: orange !important;
}

.t-green {
  color: green !important;
}

.b-primary {
  background-color: var(--primaryColor);
}

.b-primaryLight {
  background-color: var(--primaryColorLight);
}

.t-primary {
  color: var(--primaryColor) !important;
}

.t-black {
  color: black;
}


.b-accent {
  background-color: var(--accentColor);
}

.t-accent {
  color: var(--accentColor);
}

.bor-accent {
  border-color: var(--accentColor);
}

.bor-accent {
  color: var(--accentColor);
}

/*BORDER*/
.rounded-lg2 {
  border-radius: 15px;
}

.r-bottom {
  border-bottom-left-radius: 250px 50px;
  border-bottom-right-radius: 250px 50px;
}


/*SHADOW*/
.shadow-med {
  box-shadow: 1px 2px 10px var(--shadowColor1);
}

/*ALIGN*/
.centertodiv {
  display: block;
  margin: auto auto;
}

/*FONTSIZE*/
.f04 {
  font-size: .4rem !important;
}

.f06 {
  font-size: .6rem;
}

.f08 {
  font-size: .8rem !important;
}

.f10 {
  font-size: 1rem !important;
}

.f12 {
  font-size: 1.2rem;
}

.f14 {
  font-size: 1.4rem;
}

.f16 {
  font-size: 1.6rem;
}

.f18 {
  font-size: 1.8rem;
}

.f20 {
  font-size: 2rem;
}

.f22 {
  font-size: 2.2rem;
}


.f24 {
  font-size: 2.4rem;
}


.f26 {
  font-size: 2.6rem;
}

/*CARD*/

.gen-card {
  border-radius: 10px;
  box-shadow: 0 2px 10px var(--shadowColor1);
  margin-bottom: 1em;
  background-color: white;
}

.gen-card-caraikut-tryout {
  border-radius: 15px;
  box-shadow: 0 2px 4px var(--shadowColor1);
  position: relative;
  padding: 1em;

}

.gen-card-caraikut-tryout .step {
  position: absolute;
  display: flex;
  align-items: center;
  justify-content: center;
  color: white;
  font-weight: bold;
  font-size: 1.2rem;
  left: calc(50% - 1.5em);
  height: 3em;
  width: 3em;
  top: -1.5em;
  border-radius: 50%;
  background-color: var(--primaryColor)
}

.gen-card-caraikut-tryout img {
  margin-top: 2.5em;
  width: 80%;
}


.gen-card-pencarian {
  display: flex;
  border-radius: 15px;
  box-shadow: 0 1px 5px var(--shadowColor1);
  height: 300px;
  margin: 1rem 0;
}

.gen-card-pencarian .gambar {
  flex: 0 0 7em;
  overflow: hidden;
  text-align: center;
  border-bottom-left-radius: 15px;
  border-top-left-radius: 15px;
}

.gen-card-pencarian .gambar img {
  object-fit: cover;
  overflow: hidden;
  height: 100%;

}

.gen-card-pencarian .content {
  flex-grow: 1;
}

.gen-card1 {
  border-radius: 5px;
  box-shadow: 0 1px 5px var(--shadowColor1);
}

.gen-card-fitur-terbaru {
  border-radius: 13px;
  box-shadow: 0 1px 5px var(--shadowColor1);
  display: flex;
  height: 7em;
  overflow: hidden;
  justify-content: space-around;
  align-items: stretch;
}

.gen-card-fitur-terbaru .gambar-div {
  border-radius: 50%;
  width: 7em !important;
  height: 7em !important;
  margin-top: 1em;
  margin-left: -1em;
  flex: 0 0 7em;
  text-align: center;
}

.gen-card-fitur-terbaru .gambar {
  width: 3.5em;
  margin-top: 1.8em;
  margin-left: .2em;
}

.gen-card-fitur-terbaru .content {
  padding: 0.8em;
  display: flex;
  flex-grow: 1;
  flex-direction: column;
}

.gen-card-fitur-terbaru .title-content {
  display: flex;
  margin-bottom: 10px;

}

.gen-card-fitur-terbaru .title {
  font-size: 1.2rem;
  font-weight: bold;
  color: black;
  flex-grow: 1;
  overflow: hidden;
  max-lines: 1;
}

.gen-card-fitur-terbaru .isi {
  font-size: 0.8rem;
  color: black;
  flex-grow: 1;
}

.gen-card-promo {
  background-color: var(--primaryColor);
  border-radius: 10px;
  height: 11rem !important;
  box-shadow: 0 1px 5px var(--shadowColor1);
}

.gen-card-promo img{
  background-color: var(--primaryColor);
  border-radius: 10px;
  height: 11rem !important;
  width: 100%;
  object-fit: cover;
}
.gen-card-testipengajar {
  text-align: center;
  padding: 1em;
  background-color: var(--primaryColor);
  border-radius: 10px;
  height: calc(100vw - 3rem) !important;
  box-shadow: 0 1px 5px var(--shadowColor1);
  color: white;
}

.gen-card-testipengajar img {
  width: 6em;
  display: block;
  margin-left: auto;
  margin-right: auto;
  height: 6em;
  object-fit: cover;
}

.gen-card-mapel-fav {
  background-color: var(--primaryColor);
  border-radius: 10px;
  height: 6rem !important;
  box-shadow: 0 1px 5px var(--shadowColor1);
}

.gen-card-carakerja {
  background-color: var(--primaryColor);
  border-radius: 10px;
  padding: 1em;
  align-content: center;
  box-shadow: 0 1px 5px var(--shadowColor1);
}

.gen-card-carakerja .content {
  display: flex;
  color: white;
}

.gen-card-carakerja .icon {
  flex: 0 0 2em;
  font-size: 2rem;
  text-align: center;
  margin-bottom: 1.5em;

}


.gen-card-carakerja .title {
  font-weight: bold;
  margin-bottom: 3px;
}

.gen-card-carakerja .isi {
  font-weight: lighter;
  font-size: 0.8rem;
}


.gen-card-guru {
  position: relative;
  border-radius: 10px;
  box-shadow: 0 1px 5px var(--shadowColor1);
  padding: 1em 1em 1.6em 1em;
  margin-bottom: 2.6em;
  margin-top: 1.3em;
}

.gen-card-guru .content-guru {
  display: flex;

}

.gen-card-guru .content-guru .image-div {
  flex: 0 0 6em;
}

.gen-card-guru .content-guru .image-div img {
  object-fit: cover;
  width: 6em;
  height: 6em;
  border-radius: 50%;
}

.gen-card-guru .content-guru .data-div {
  flex-grow: 1;
  margin-left: .6em;

}

.gen-card-guru .content-guru .data-div .nama-div {
  display: flex;
}

.gen-card-guru .content-guru .data-div .nama-div .nama {
  font-size: 1.2em;
  font-weight: bold;
  color: black;
  margin-right: 0.5em;
  overflow: hidden;
  height: 1.4em;

}

.gen-card-guru .content-guru .data-div .nama-div .pro {
  font-size: 0.8rem;
  color: white;
  background-color: var(--primaryColor);
  border-radius: 50px;
  padding: 0.2em 0.5em;
  height: 2em;
}

.gen-card-guru .content-guru .data-div .star-div {
  display: flex;
  margin-bottom: 1em;
}

.gen-card-guru .content-guru .data-div .star-div i {
  font-size: 1.2rem;
  margin-right: 0.2em;
  color: var(--accentColor);
}

.gen-card-guru .content-guru .data-div .deskripsi {
  font-size: 0.8rem;
  margin-bottom: 0;
}

.gen-card-guru .area-div {
  display: flex;
  flex-wrap: wrap;
  padding: 0.3em;
}

.gen-card-guru .area-div .area {
  margin: 0.3em;
  font-size: 0.8rem !important;
}

.gen-card-guru .button-div {
  text-align: center;
  position: absolute;
  bottom: -.6em;
  width: 100%;

}

.gen-card-guru .button {
  background-color: var(--primaryColor);
  color: white;
  border-radius: 50px;
  font-size: 1rem;
  font-weight: bold;
  padding: 0.6em 1.8em;
  box-shadow: 0 1px 10px var(--shadowColor1);
}

.gen-card-guru-lainya {
  border-radius: 15px;
  display: flex;
  box-shadow: 0 1px 10px var(--shadowColor1);
  margin: 1em 0;
}

.gen-card-guru-lainya .gambar-div {
  flex: 0 0 7em;
  overflow: hidden;
  border-top-left-radius: 15px;
  border-bottom-left-radius: 15px;
}

.gen-card-guru-lainya .gambar-div img {
  object-fit: cover;
  height: 100%;
  width: 100%;

}


/*COMPONENT*/
.gen-pilihan .content {
  margin-top: 5px;
  display: flex;
  justify-items: center;
  justify-content: center;
  align-items: center;
}

.gen-pilihan .label {
  color: grey;
  font-size: 1rem;
}

.gen-pilihan .icon {
  color: var(--primaryColor);
  font-size: 1.2rem;
  margin-right: 16px;
}

.gen-pilihan .isi {
  flex-grow: 1;
  font-size: 1.2rem;
  font-weight: bold;
  color: black;

}

/*DRAWER*/
.drawer {
  position: fixed;
  top: 0;
  transition: 0.3s ease-in-out;
  width: 80vw;
  background-color: white;
  height: 100vh;
  z-index: 10000;
  box-shadow: 0 0 10px var(--shadowColor1);
  padding: 1em;
}

.bddrawer {
  position: fixed;
  top: 0;
  width: 100vw;
  background-color: #1116;
  height: 95vh;
  z-index: 9999;
}

.ini-disable{
  background-color: #f1f1f1;
}
.ini-disable::placeholder{
  color: #666;
}

.bddrawer.open{
  display: block;
}

.bddrawer.close{
  display: none;
}

.drawer.open {
  left: 0;
}

.drawer.close {
  left: -80vw;
}

.drawer .li {
  margin: 1.3em 0;
  font-weight: bold;
  font-size: 0.8rem;
  /*border-bottom: 1px solid grey;*/
  display: flex;
  align-content: center;
  color: black;
}

/*INPUT*/
.input-rounded {
  border-radius: 50px;
  padding: 1.375rem .75rem;
}

/*ICON*/
.fa-times-thin:before {
  content: '\00d7';
}

/*BUTTON*/
.bt-disabled {
  background-color: var(--grey);
  color: white;
  font-size: 1.2rem;
  border-radius: 50px;
  cursor: pointer;
  text-align: center;
  padding: 0.6em 0.6em;
}

.bt-primary {
  background-color: var(--primaryColor);
  color: white;
  font-size: 1.2rem;
  border-radius: 50px;
  cursor: pointer;
  text-align: center;
  padding: 0.6em 0.6em;
}

.bt-outline-primary {
  border: 1px solid var(--primaryColor);
  color: var(--primaryColor);
  font-size: 1.2rem;
  border-radius: 50px;
  cursor: pointer;
  text-align: center;
  padding: .4em 0.6em;
}

.bt-outline-grey-a {
  border: 1px solid var(--grey-a);
  color: var(--grey-a);
  font-size: 1.2rem;
  border-radius: 50px;
  cursor: pointer;
  text-align: center;
  padding: .4em 0.4em;
}

.bt-accent {
  background-color: var(--accentColor);
  color: white;
  font-size: 1.2rem;
  border-radius: 50px;
  cursor: pointer;
  text-align: center;
  padding: 13px 0;
}

.bt-outline-accent {
  border-color: var(--accentColor);
  color: var(--accentColor);
  font-size: 1.2rem;
  border-radius: 50px;
  cursor: pointer;
  text-align: center;
  padding: .4em 0;
}

.bt-accent-custom {
  background-color: var(--accentColor);
  color: white;
  border-radius: 50px;
  cursor: pointer;
  text-align: center;
}

.bt-mini {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.bt-mini .imagebutton {
  position: relative;
  border-radius: 50% / 10%;
  color: white;
  text-align: center;
  text-indent: .1em;
  background-color: var(--primaryColor);
  height: 60px;
  width: 60px;
  box-shadow: 0 1px 5px var(--shadowColor1);
}

.bt-mini .imagebutton:before {
  content: '';
  position: absolute;
  top: 10%;
  bottom: 10%;
  right: -5%;
  left: -5%;
  background: inherit;
  border-radius: 5% / 50%;
  /*height: 75px;*/
  /*width: 75px;*/
}

.bt-mini .label {
  font-size: 0.7rem;
  margin-top: 8px;
  text-align: center;
}

/*TEXT*/
.title-section {
  text-align: center;
  padding: 30px 30px 10px 30px;
  font-weight: bold;
  font-size: 1.4rem;
}

/*SLIDER*/

.md .slick-slide {
  height: 30vw !important;
}

.common .slick-slide {
  transform: scale(0.95);
  transition: all ease 0.5s;
}

.focus .slick-slide {
  transform: scale(0.92);
  opacity: 0.9;
  transition: all ease 0.5s;
}

.focus .slick-slide.slick-current {
  transform: scale(1);
  opacity: 1;
}

/*ELEMENT*/

.tab-s {
  color: grey;
  border: none;
  padding-bottom: 1rem;
}

.tab-s.active {
  color: var(--primaryColor);
  border-bottom: 1px solid var(--primaryColor);
  padding-bottom: 1rem;
}

.tab-pils-reverse {
  color: grey;
  border: 1px solid white;
  border-radius: 50px;
  padding: 0.2rem .2rem;
  margin-right: 0.5rem;
  text-align: center;
}

.tab-pils-reverse.active {
  border-radius: 50px;
  border: 1px solid white;
  background-color: white;
  color: var(--primaryColor) !important;
  padding: 0.2rem .2rem;
  margin-right: 0.5rem;
  text-align: center;
}

.tab-pils {
  color: grey;
  border: 1px solid grey;
  border-radius: 50px;
  padding: 0.2rem .2rem;
  margin-right: 0.5rem;
  text-align: center;
}

.tab-pils.active {
  border-radius: 50px;
  border: 1px solid var(--primaryColor);
  background-color: var(--primaryColor);
  color: white !important;
  padding: 0.2rem .2rem;
  margin-right: 0.5rem;
  text-align: center;
}

.tab-no-bg {
  color: grey;
  border-radius: 50px;
  padding: 0.2rem .2rem;
  margin-right: 0.5rem;
  text-align: center;
}

.tab-no-bg.active {
  border-radius: 50px;
  border: 1px solid var(--primaryColor);
  background-color: var(--primaryColor);
  color: white !important;
  padding: 0.2rem .2rem;
  margin-right: 0.5rem;
  text-align: center;
}

.chip-primary {
  border: 1px solid var(--primaryColor);
  color: var(--primaryColor);
  font-size: 1rem;
  border-radius: 50px;
  cursor: pointer;
  text-align: center;
  padding: .2em .6em;
}

.chip-primary:hover {
  border: 1px solid var(--primaryColor);
  color: var(--primaryColor);
  background-color: var(--primaryColorLight);
  font-size: 1rem;
  border-radius: 50px;
  cursor: pointer;
  text-align: center;
  padding: .2em .6em;
}


.menunggu-konfirmasi-presensi {
  color: #388E3C;
  background-color: #E8F5E9;
  padding: 0.4em 2em;
  font-weight: bold;
  width: fit-content;
  border-radius: 50px;
}

.menunggu-konfirmasi-pengajar {
  color: #9C27B0;
  background-color: #F3E5F5;
  padding: 0.4em 2em;
  font-weight: bold;
  width: fit-content;
  border-radius: 50px;
}

.aktif {
  color: #0288D1;
  background-color: #E1F5FE;
  padding: 0.4em 2em;
  font-weight: bold;
  width: fit-content;
  border-radius: 50px;
}

.menunggu-pembayaran {
  color: #F57C00;
  background-color: #FFF3E0;
  padding: 0.4em 2em;
  font-weight: bold;
  width: fit-content;
  border-radius: 50px;
}

.selesai {
  color: #666666;
  background-color: #E8E8E8;
  padding: 0.4em 2em;
  font-weight: bold;
  width: fit-content;
  border-radius: 50px;
}

.menu-notif {
  display: flex;
  margin-bottom: 1em;
}

.menu-notif .left-content {
  color: var(--primaryColor);
  flex: 0 0 2em;
}


.menu-notif .right-content {
  flex-grow: 1;
  border-bottom: 1px solid #ddd;
  display: flex;
  justify-content: space-between;
  color: black;
  align-items: center;
}

.navbar-bottom {
  padding: 0.6em;
  display: flex;
  justify-content: space-around;
  width: 100%;
  background-color: white;
  box-shadow: 0 2px 10px var(--shadowColor1);
}

.navbar-bottom .items {
  color: grey;
  display: block;
  justify-content: center;
  font-size: 0.6rem;
  align-items: center;
}

.navbar-bottom .items i {
  font-size: 1.2rem;
  margin-bottom: 0.2em;
}

.navbar-bottom .items.active {
  color: var(--primaryColor);
}


.div-color {
  border-radius: 15px;
  border: 1px solid red;
  padding: 1em;
  background-color: #f8d7da;
  text-align: center
}

.star-div i {
  font-size: 1.2rem;
  margin-right: 0.2em;
  color: var(--accentColor);
}

.image-bunder {
  height: 10em;
  width: 10em;
  border-radius: 50%;
  object-fit: cover;
  display: block;
  margin-left: auto;
  margin-right: auto
}

.bunder {
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: white;
  margin-right: auto;
  margin-left: auto;
  /* width: 10%; */
  /* border: 1.2em solid #dddddd; */
  background-color: var(--primaryColor);
  width: 10em;
  height: 10em;
  border-radius: 50%;
}

.notif-badges {
  position: absolute;
  z-index: 1;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
  color: white;
  /* width: 10%; */
  font-size: 0.6rem;
  padding: 1em;
  width: 1em;
  height: 1em;
  /* border: 1.2em solid #dddddd; */
  background-color: red;
  border-radius: 50%;
}

.notifikasi-untuk-kamu {
  padding: 1em;
  background-color: var(--primaryColorLight);
}

.notifikasi-untuk-kamu .header {
  margin-bottom: .8em;
}

.notifikasi-untuk-kamu .content {
  display: flex;
  color: black;
}

.notifikasi-untuk-kamu .content .left-content {
  flex-grow: 1;
}

.notifikasi-untuk-kamu .content .right-content {
  flex: 0 0 5em;
  text-align: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

.notifikasi-untuk-kamu .content .right-content img {
  width: 4em;
  height: 4em;
  background-color: var(--primaryColorLight);
  border-radius: 50%;
  object-fit: cover;
}

.datepicker.datepicker-inline,
.datepicker.datepicker-inline table {
  width: 100% !important;
  height: 20em !important;
}

.datepicker table tr td.today, .datepicker table tr td.active.disabled, .datepicker table tr td.active.disabled:hover, .datepicker table tr td.active:hover {
  border-radius: 50px;
  color: var(--accentColor) !important;
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(white), to(white)) !important;
}

.datepicker table tr td.active, .datepicker table tr td.active.disabled, .datepicker table tr td.active.disabled:hover, .datepicker table tr td.active:hover {
  border-radius: 50px;
  color: white !important;
  background-image: -webkit-gradient(linear, 0 0, 0 100%, from(var(--primaryColor)), to(var(--primaryColor))) !important;
}

.datepicker td, .datepicker th {
  width: 35px  !important;
}
.checkbox:checked ~ .background-color {
  background-color: var(--white);
}


[type="checkbox"]:checked.checkbox-jam,
[type="checkbox"]:not(:checked).checkbox-jam,
[type="radio"]:checked.checkbox-jam,
[type="radio"]:not(:checked).checkbox-jam,
[type="checkbox"]:checked.checkbox-tab,
[type="checkbox"]:not(:checked).checkbox-tab,
[type="radio"]:checked.checkbox-tab,
[type="radio"]:not(:checked).checkbox-tab {
  position: absolute;
  left: -9999px;
  width: 0;
  height: 0;
  visibility: hidden;
}

.checkbox-jam:checked + label {
  position: relative;
  display: inline-block;
  border-radius: 50px;
  padding: 1em 1.5em;
  font-size: 14px;
  margin: 0 5px 10px;
  text-align: center;
  overflow: hidden;
  cursor: pointer;
  text-transform: uppercase;
  color: var(--white);
  -webkit-transition: all 300ms linear;
  transition: all 300ms linear;
}

.checkbox-jam:not(:checked) + label {
  position: relative;
  display: inline-block;
  border-radius: 50px;
  padding: 1em 1.5em;
  font-size: 14px;
  margin: 0 5px 10px;
  text-align: center;
  overflow: hidden;
  cursor: pointer;
  text-transform: uppercase;
  color: grey;
  -webkit-transition: all 300ms linear;
  transition: all 300ms linear;
}

.form-control:disabled, .form-control[readonly] {
  background-color: white;
}

.checkbox-jam:not(:checked) + label {
  background-color: white;
  /*border: 1px solid grey;*/
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2);
}

.checkbox-jam:checked + label {
  background-color: var(--primaryColor);
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2);
}

.checkbox-jam:not(:checked) + label:hover {
  color: var(--secondary);
  box-shadow: 0 2px 4px 0 rgba(0, 0, 0, 0.2);
}

.checkbox-jam:checked + label::before {
  position: absolute;
  content: '';
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 4px;
  background-color: var(--primaryColor);
  z-index: -1;
}

.checkbox-jam:not(:checked) + label::before {
  position: absolute;
  content: '';
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 4px;
  background-color: white;
  z-index: -1;
}

.checkbox-jam:checked + label .uil,
.checkbox-jam:not(:checked) + label .uil {
  font-size: 24px;
  display: block;
}


.for-checkbox-jam.disabled {
  color: black !important;
  border: 1px solid #ddd !important;
  background-color: #ddd !important;
}

.for-checkbox-jam.noborder {
  border: none !important;
  color: grey !important;
}

/*CHECKBOX TAB*/

.checkbox-tab:checked + label {
  position: relative;
  display: inline-block;
  padding: 1em 1.5em;
  font-size: 1rem;
  text-align: center;
  overflow: hidden;
  cursor: pointer;
  color: var(--grey-6);
  -webkit-transition: all 300ms linear;
  transition: all 300ms linear;
}

.checkbox-tab:not(:checked) + label {
  position: relative;
  display: inline-block;
  padding: 1em 1.5em;
  font-size: 1rem;
  text-align: center;
  overflow: hidden;
  cursor: pointer;
  color: var(--grey-6);
  -webkit-transition: all 300ms linear;
  transition: all 300ms linear;
}

.checkbox-tab:not(:checked) + label {
  background-color: white;
}

.checkbox-tab:checked + label {
  color: var(--primaryColor);
  border-bottom: 2px solid var(--primaryColor);

}


.checkbox-tab:checked + label::before {
  position: absolute;
  content: '';
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 4px;
  z-index: -1;
}

.checkbox-tab:not(:checked) + label::before {
  position: absolute;
  content: '';
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  border-radius: 4px;
  z-index: -1;
}

.checkbox-tab:checked + label .uil,
.checkbox-tab:not(:checked) + label .uil {
  font-size: 1rem;
  display: block;
}

.for-checkbox-tab {
  margin-bottom: 0;
}

.header-profile {
  display: flex;
  width: 100%;
  margin-bottom: 1em;
}

.header-profile .gambar-div-sm {
  flex: 0 0 3em;

}

.header-profile .gambar-div-md {
  flex: 0 0 4em;

}

.header-profile .gambar-div-md img {
  object-fit: cover;
  border-radius: 50%;
  width: 4em;
  height: 4em;
}

.header-profile .gambar-div-sm img {
  object-fit: cover;
  border-radius: 50%;
  width: 3em;
  height: 3em;
}

.header-profile .gambar-div {
  flex: 0 0 6em;

}

.header-profile .gambar-div img {
  object-fit: cover;
  border-radius: 50%;
  width: 6em;
  height: 6em;
}

.header-profile .content {
  flex-grow: 1;
  display: flex;
  flex-direction: column;
  margin-left: 1em;

}

.header-profile .content .title {
  font-size: 1.2rem;
  font-weight: bold;
  margin-bottom: 0.1em;
}

.header-profile .content .subtitle {
  font-size: 0.8rem;
  color: grey;
  margin-bottom: 0;
}

.ulasan {
  background-color: #EEEEEE;
  border-radius: 10px;
  padding: 1em;
}

.ulasan .star-div {
  display: flex;
  margin-bottom: 1em;
}

.ulasan .star-div i {
  font-size: 1.2rem;
  margin-right: 0.2em;
  color: var(--accentColor);
}

.ulasan .nama-div {
  display: flex;
}

.ulasan .nama {
  font-size: 1.2rem;
  font-weight: bold;
  margin-right: 2em;
}

.ulasan .time {
  font-size: 1rem;
}

.ulasan .isi {
  margin-top: 0;
  font-size: 1rem;
}

.logo-div {
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
}

.logo-div .logo {
  height: 3em;
  margin: 0.3em;
}

.link-footer {
  color: white;
  font-size: 1rem;
  margin-bottom: 0.4em;
  display: block;
}

.logo-gplay {
  height: 3em;
}

.hasil-pencarian {
  padding: 1em 0;
  border-bottom: 1px solid #eaeaea
}

.hasil-pencarian .title {
  font-size: 1rem;
  color: black;
  display: block;
}

.hasil-pencarian .subtitle {
  font-size: 0.8rem;
  color: grey;
}

.tabs > .row {
  overflow-x: auto;
  flex-wrap: nowrap;
  white-space: nowrap;
  background-color: white;
}

.tabs > .row > .col-xs-4 {
  display: inline-block;
  float: none;
}

/* Decorations */
.col-xs-4 {
  color: black;
  font-size: 1rem;
  padding-bottom: 1rem;
  padding-top: 1rem;
  margin: 0 1em;
  font-weight: bold
}

.icon-vert {
  display: flex;
  flex-direction: column;
  font-size: 0.8rem;
  color: black;
  text-align: center;
  margin: 0 12px;
  justify-items: center;
  align-content: center;
  align-items: center;
}

.icon-div {
  width: 5em;
  height: 5em;
  border-radius: 15px;
  display: flex;
  margin-left: auto;
  margin-right: auto;
  justify-content: center;
  align-items: center;
  background-color: var(--primaryColor);
}

.icon-div img {
  width: 4em;
  height: 4em;
  object-fit: fill;
}

.modal-fullpage {
  margin: 0;
}

.input-bunder-icon {
  border: 1px solid #ddd;
  border-radius: 50px
}

.input-bunder-icon input {
  border: none;
  padding: 1.5em 1em
}

.input-bunder-icon input:focus {
  border: 0 solid transparent;
  outline: none;
  box-shadow: 0 0 0 transparent;
}

.oneline {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 1; /* number of lines to show */
  -webkit-box-orient: vertical;
}

.fivelines {
  overflow: hidden;
  text-overflow: ellipsis;
  display: -webkit-box;
  -webkit-line-clamp: 5; /* number of lines to show */
  -webkit-box-orient: vertical;
}

.global-container{
  height:100%;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #f5f5f5;
}

form{
  padding-top: 10px;
  font-size: 14px;
}

.card-title{ font-weight:300; }

.btn{
  font-size: 14px;
  margin-top:20px;
}


.login-form{
  width:330px;
  margin:20px;
}

.sign-up{
  text-align:center;
  padding:20px 0 0;
}

.alert{
  margin-bottom:-30px;
  font-size: 13px;
  margin-top:20px;
}

/*RESPONSIVE*/
/*EXTRA SMALL*/
@media only screen and (max-width: 360px) {
  .gen-card-fitur-terbaru .title {
      font-size: 1rem;
  }

  .logo-gplay {
      height: 2em;
  }

  .checkbox-jam:checked + label,
  .checkbox-jam:not(:checked) + label {
      padding: 1em 1em;
  }

  .gen-card-testipengajar {
      font-size: 0.8rem;
  }
}

/*SHIMMER*/
.shine-rounded-sm {
  background-image: linear-gradient(to right, #eee 0%, #ddd 20%, #eee 40%, #eee 100%);
  background-size: 800px 100%;
  display: inline-block;
  position: relative;

  -webkit-animation-duration: 1s;
  -webkit-animation-fill-mode: forwards;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-name: placeholderShimmer;
  -webkit-animation-timing-function: linear;
}

.shine-rounded-sm {
  border-radius: 5px;
  background-image: linear-gradient(to right, #eee 0%, #ddd 20%, #eee 40%, #eee 100%);
  background-size: 800px 100%;
  display: inline-block;
  position: relative;

  -webkit-animation-duration: 1s;
  -webkit-animation-fill-mode: forwards;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-name: placeholderShimmer;
  -webkit-animation-timing-function: linear;
}

.shine-rounded-md {
  border-radius: 10px;
  background-image: linear-gradient(to right, #eee 0%, #ddd 20%, #eee 40%, #eee 100%);
  background-size: 800px 100%;
  display: inline-block;
  position: relative;

  -webkit-animation-duration: 1s;
  -webkit-animation-fill-mode: forwards;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-name: placeholderShimmer;
  -webkit-animation-timing-function: linear;
}

.shine-rounded-md {
  border-radius: 15px;
  background-image: linear-gradient(to right, #eee 0%, #ddd 20%, #eee 40%, #eee 100%);
  background-size: 800px 100%;
  display: inline-block;
  position: relative;

  -webkit-animation-duration: 1s;
  -webkit-animation-fill-mode: forwards;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-name: placeholderShimmer;
  -webkit-animation-timing-function: linear;
}

.shine-rounded {
  border-radius: 50px;
  background-image: linear-gradient(to right, #eee 0%, #ddd 20%, #eee 40%, #eee 100%);
  background-size: 800px 100%;
  display: inline-block;
  position: relative;

  -webkit-animation-duration: 1s;
  -webkit-animation-fill-mode: forwards;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-name: placeholderShimmer;
  -webkit-animation-timing-function: linear;
}

.shine-bunder {
  border-radius: 50%;
  background-image: linear-gradient(to right, #eee 0%, #ddd 20%, #eee 40%, #eee 100%);
  background-size: 800px 100%;
  display: inline-block;
  position: relative;

  -webkit-animation-duration: 1s;
  -webkit-animation-fill-mode: forwards;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-name: placeholderShimmer;
  -webkit-animation-timing-function: linear;
}

/*box {*/
/*    height: 104px;*/
/*    width: 100px;*/
/*}*/

/*div {*/
/*    display: inline-flex;*/
/*    flex-direction: column;*/
/*    margin-left: 25px;*/
/*    margin-top: 15px;*/
/*    vertical-align: top;*/
/*}*/

/*lines {*/
/*    height: 10px;*/
/*    margin-top: 10px;*/
/*    width: 200px;*/
/*}*/

/*photo {*/
/*    display: block!important;*/
/*    width: 325px;*/
/*    height: 100px;*/
/*    margin-top: 15px;*/
/*}*/

/*LOADING*/

* {
  box-sizing: border-box
}

.loading {
  margin: 50px 0;
  position: relative

}

.loading span {
  display: block;
  background-color: aqua;
  width: 1em;
  height: 1em;
  position: absolute;
  border-radius: 50%;
  bottom: 0;
  animation: waving 1.5s infinite ease-in-out

}


.loading span:nth-child(2) {
  left: 1em;
  animation-delay: .2s
}

.loading span:nth-child(3) {
  left: 2em;
  animation-delay: .4s
}

.loading span:nth-child(4) {
  left: 3em;
  animation-delay: .6s
}

.loading span:nth-child(5) {
  left: 4em;
  animation-delay: .8s
}

.loading span:last-of-type {
  left: 5em;
  animation-delay: 1s
}

/* Bottom */

.modal.bottom.fade .modal-dialog {
  bottom: -100%;
  -webkit-transition: opacity 0.3s linear, bottom 0.3s ease-out;
  -moz-transition: opacity 0.3s linear, bottom 0.3s ease-out;
  -o-transition: opacity 0.3s linear, bottom 0.3s ease-out;
  transition: opacity 0.3s linear, bottom 0.3s ease-out;
}

.modal.bottom.fade.show .modal-dialog {
  bottom: 0;
}

.modal.bottom.fade .modal-dialog {
  bottom: -100%;
}

/* Full Screen */

.modal.full .modal-dialog {
  position: fixed;
  margin: auto;
  width: 100%;
  max-width: 100%;
  height: 100%;
}

.modal.full .modal-content {
  height: 100%;
  overflow-y: auto;
}

.modal.full .close-modal {
  position: fixed;
  top: 0;
  right: 3rem;
}

/*MODAL BOTTOM*/

.modal.left .modal-dialog,
.modal.right .modal-dialog,
.modal.top .modal-dialog,
.modal.bottom .modal-dialog {
  -webkit-transform: translate3d(0%, 0, 0);
  -ms-transform: translate3d(0%, 0, 0);
  -o-transform: translate3d(0%, 0, 0);
  transform: translate3d(0%, 0, 0);
}

/* Left & Right */

.modal.left .modal-dialog,
.modal.right .modal-dialog {
  position: fixed;
  margin: auto;
  width: 500px;
  max-width: 100%;
  height: 100%;
}

.modal.left .modal-content,
.modal.right .modal-content {
  height: 100%;
  overflow-y: auto;
}

.modal.left .modal-body,
.modal.right .modal-body {
  padding: 15px 15px 80px;
}

.modal.left.fade .modal-dialog {
  left: -500px;
  -webkit-transition: opacity 0.3s linear, left 0.3s ease-out;
  -moz-transition: opacity 0.3s linear, left 0.3s ease-out;
  -o-transition: opacity 0.3s linear, left 0.3s ease-out;
  transition: opacity 0.3s linear, left 0.3s ease-out;
}

.modal.left.fade.show .modal-dialog {
  left: 0;
}

.modal.right.fade .modal-dialog {
  right: -500px;
  -webkit-transition: opacity 0.3s linear, right 0.3s ease-out;
  -moz-transition: opacity 0.3s linear, right 0.3s ease-out;
  -o-transition: opacity 0.3s linear, right 0.3s ease-out;
  transition: opacity 0.3s linear, right 0.3s ease-out;
}

.modal.right.fade.show .modal-dialog {
  right: 0;
}

.modal.left .modal-content,
.modal.right .modal-content,
.modal.top .modal-content,
.modal.bottom .modal-content,
.modal.full .modal-content {
  border-radius: 0;
  border: none;
}

.modal.left .modal-dialog.modal-sm,
.modal.right .modal-dialog.modal-sm {
  width: 300px;
}

.modal.left .modal-dialog.modal-lg,
.modal.right .modal-dialog.modal-lg {
  width: 800px;
}

.modal.left .modal-dialog.modal-xl,
.modal.right .modal-dialog.modal-xl {
  width: 1140px;
}

/* Top and Bottom */

.modal.top .modal-dialog,
.modal.bottom .modal-dialog {
  position: fixed;
  margin: auto;
  width: 100%;
  max-width: 100%;
  height: auto;
}

.modal.top .modal-content,
.modal.bottom .modal-content {
  height: auto;
  overflow-y: auto;
}

.modal.top .modal-body,
.modal.bottom .modal-body {
  padding: 15px 15px;
}

/* Top */

.modal.top.fade .modal-dialog {
  top: -100%;
  -webkit-transition: opacity 0.3s linear, top 0.3s ease-out;
  -moz-transition: opacity 0.3s linear, top 0.3s ease-out;
  -o-transition: opacity 0.3s linear, top 0.3s ease-out;
  transition: opacity 0.3s linear, top 0.3s ease-out;
}

.modal.top.fade.show .modal-dialog {
  top: 0;
}

/* Bottom */

.modal.bottom.fade .modal-dialog {
  bottom: -100%;
  -webkit-transition: opacity 0.3s linear, bottom 0.3s ease-out;
  -moz-transition: opacity 0.3s linear, bottom 0.3s ease-out;
  -o-transition: opacity 0.3s linear, bottom 0.3s ease-out;
  transition: opacity 0.3s linear, bottom 0.3s ease-out;
}

.modal.bottom.fade.show .modal-dialog {
  bottom: 0;
}

.modal.bottom.fade .modal-dialog {
  bottom: -100%;
}

/* Full Screen */

.modal.full .modal-dialog {
  position: fixed;
  margin: auto;
  width: 100%;
  max-width: 100%;
  height: 100%;
}

.modal.full .modal-content {
  height: 100%;
  overflow-y: auto;
}

.modal.full .close-modal {
  position: fixed;
  top: 0;
  right: 3rem;
}

/* Footer */

.modal-footer-fixed {
  position: fixed;
  bottom: 0;
  width: 100%;
  background: #fff;
  border-radius: 0;
}

/* XS */

.modal.left.xs .modal-body,
.modal.right.xs .modal-body {
  padding: 15px;
}


.scrolling-wrapper {
  overflow-x: scroll;
  overflow-y: hidden;
  white-space: nowrap;
}

.items {
  display: inline-block;
}

.scrolling-wrapper, .scrolling-wrapper-flexbox {
  /*height: 80px;*/
  /*margin-bottom: 20px;*/
  width: 100%;
  -webkit-overflow-scrolling: touch;
}

.scrolling-wrapper::-webkit-scrollbar{
  display: none;
}

/* Bottom */

/* Footer */

.modal-footer-fixed {
  position: fixed;
  bottom: 0;
  width: 100%;
  background: #fff;
  border-radius: 0;
}

.scrolling-wrapper {
  overflow-x: scroll;
  overflow-y: hidden;
  white-space: nowrap;
}

.infoInstalApp{
  height: 75px; width: 100%; background-color: var(--primaryColorLight); padding: .5rem !important;
}

@keyframes waving {
  0%, 100% {
      opacity: .3;
      transform: translateY(0);
      background-color: aqua;
      box-shadow: 0 0 3px
  }
  50% {
      opacity: 1;
      transform: translateY(-20px);
      background-color: var(--primaryColor);
      box-shadow: 0 10px 3px
  }
}


@-webkit-keyframes placeholderShimmer {
  0% {
      background-position: -468px 0;
  }

  100% {
      background-position: 468px 0;
  }
}



/*SMALL*/
@media (max-width: 360px) and (min-width: 480px) {

}

/*MEDIUM*/
@media (max-width: 480px) and (min-width: 768px) {
  .md .slick-slide {
      height: 20vw !important;
  }

  .menciut{
      width: 480px;
  }
}

/*LARGE*/
@media only screen and (min-width: 768px) {
  .md .slick-slide {
      height: 15vw !important;
  }

  .menciut{
      width: 480px;
      margin-right: auto;
      margin-left: auto;
  }

}
